#题目：给定一堆石头，其中石头里有一些是宝石，我们要筛选其中的宝石个数，石头用S表示，筛选标准用J表示。
# 给定筛选标准J，J为“aA”，大小写不为同一个字母，即a和A是两种宝石，再给定一堆石头S,S为“aAAbbbb”,预期输出“3”
#同样给定筛选标准J，J为“z”,给定石头S，S为“ZZ”,预期输出“0”

''''
思路1：将J分成单个的字符，以字符在字符串中的位置去表示该字符，将每个字符去和S中所有字符比对并全部筛选出与之相同的字符来，
组成一个新的字符串i,输出字符串i的长度即为结果

思路2：正则表达式方法，设定宝石类型为匹配条件reg，然后在石头S中匹配与reg相同的字符，
然后输出筛选的石头和匹配结果的字符串的长度len,可以得到结果
'''

import re

condition = input("请输入宝石类型，用字母表示：")

S = input("请输入石头：")

result = re.findall(condition,S)

print(result)

print("宝石的数量为:"+str(len(result)))

'''
v 1.0.0版本，但此种方法有个缺陷，即每次只可以判断单个宝石的存在和数量，如果单次输入的宝石类型变多，该方法并不适用
'''



